Cloud and BYOC for Orca Agent Engine are in Private Preview — request an invite
Docs
Functions

Get function info with defaults

GET/apis/cloud.sn.io/v1/functions/{functionName}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

functionName*string

Response Body

application/json

curl -X GET "https://example.com/apis/cloud.sn.io/v1/functions/string"
{  "runtimeFlags": "string",  "tenant": "string",  "namespace": "string",  "name": "string",  "className": "string",  "inputs": [    "string"  ],  "customSerdeInputs": {    "property1": "string",    "property2": "string"  },  "topicsPattern": "string",  "customSchemaInputs": {    "property1": "string",    "property2": "string"  },  "customSchemaOutputs": {    "property1": "string",    "property2": "string"  },  "inputSpecs": {    "property1": {      "schemaType": "string",      "serdeClassName": "string",      "schemaProperties": {        "property1": "string",        "property2": "string"      },      "consumerProperties": {        "property1": "string",        "property2": "string"      },      "receiverQueueSize": 0,      "cryptoConfig": {        "cryptoKeyReaderClassName": "string",        "cryptoKeyReaderConfig": {          "property1": {},          "property2": {}        },        "encryptionKeys": [          "string"        ],        "producerCryptoFailureAction": "FAIL",        "consumerCryptoFailureAction": "FAIL"      },      "messagePayloadProcessorConfig": {        "className": "string",        "config": {          "property1": {},          "property2": {}        }      },      "poolMessages": true,      "regexPattern": true    },    "property2": {      "schemaType": "string",      "serdeClassName": "string",      "schemaProperties": {        "property1": "string",        "property2": "string"      },      "consumerProperties": {        "property1": "string",        "property2": "string"      },      "receiverQueueSize": 0,      "cryptoConfig": {        "cryptoKeyReaderClassName": "string",        "cryptoKeyReaderConfig": {          "property1": {},          "property2": {}        },        "encryptionKeys": [          "string"        ],        "producerCryptoFailureAction": "FAIL",        "consumerCryptoFailureAction": "FAIL"      },      "messagePayloadProcessorConfig": {        "className": "string",        "config": {          "property1": {},          "property2": {}        }      },      "poolMessages": true,      "regexPattern": true    }  },  "inputTypeClassName": "string",  "output": "string",  "producerConfig": {    "maxPendingMessages": 0,    "maxPendingMessagesAcrossPartitions": 0,    "useThreadLocalProducers": true,    "cryptoConfig": {      "cryptoKeyReaderClassName": "string",      "cryptoKeyReaderConfig": {        "property1": {},        "property2": {}      },      "encryptionKeys": [        "string"      ],      "producerCryptoFailureAction": "FAIL",      "consumerCryptoFailureAction": "FAIL"    },    "batchBuilder": "string",    "compressionType": "NONE",    "batchingConfig": {      "enabled": true,      "batchingMaxPublishDelayMs": 0,      "roundRobinRouterBatchingPartitionSwitchFrequency": 0,      "batchingMaxMessages": 0,      "batchingMaxBytes": 0,      "batchBuilder": "string"    }  },  "outputSchemaType": "string",  "outputTypeClassName": "string",  "outputSerdeClassName": "string",  "logTopic": "string",  "processingGuarantees": "ATLEAST_ONCE",  "retainOrdering": true,  "retainKeyOrdering": true,  "batchBuilder": "string",  "forwardSourceMessageProperty": true,  "userConfig": {    "property1": {},    "property2": {}  },  "secrets": {    "property1": {},    "property2": {}  },  "runtime": "JAVA",  "autoAck": true,  "maxMessageRetries": 0,  "deadLetterTopic": "string",  "subName": "string",  "parallelism": 0,  "resources": {    "cpu": 0.1,    "ram": 0,    "disk": 0  },  "fqfn": "string",  "windowConfig": {    "windowLengthCount": 0,    "windowLengthDurationMs": 0,    "slidingIntervalCount": 0,    "slidingIntervalDurationMs": 0,    "lateDataTopic": "string",    "maxLagMs": 0,    "watermarkEmitIntervalMs": 0,    "timestampExtractorClassName": "string",    "actualWindowFunctionClassName": "string",    "processingGuarantees": "ATLEAST_ONCE"  },  "timeoutMs": 0,  "jar": "string",  "py": "string",  "go": "string",  "functionType": "string",  "cleanupSubscription": true,  "customRuntimeOptions": "string",  "maxPendingAsyncRequests": 0,  "exposePulsarAdminClientEnabled": true,  "skipToLatest": true,  "subscriptionPosition": "Latest",  "connection": "string",  "snServiceAccount": "string"}